function [] = emc2V(i,j,k,sa,FN,rect)
  // Visualise un champ de vitesse
  // la taille des vecteur est constante
  // mais on change la couleur suivant l'intensite du champ
  // Les vecteurs sont lus dans les colonnes i et j du fichier
  // du fichier FN qui continet k colonnes

  [lhs,rhs] = argn(0);
  plot2d(1,1,[1],"031"," ",rect);
  xset("clipgrf");

  if rhs == 0 then FN = 'MESH'; end;
  unit = file('open',FN,'old')
  resu = read(unit,noeuds,k);
  resu = resu(:,[i,j]);
  nm   = [];

  for i=1:noeuds;
    nm1 = norm(resu(i,:),2);
    nm  = [nm,nm1];
    if nm1<>0 then resu(i,:)=resu(i,:)/nm1; end;
  end

  nmax = max(nm);
  if nmax<>0 then nm = nm/nmax; end;

  xsegs([noeul(:,2)-(1/sa)*resu(:,1),noeul(:,2)+(1/sa)*resu(:,1)]',...
        [noeul(:,3)-(1/sa)*resu(:,2),noeul(:,3)+(1/sa)*resu(:,2)]',...
        16*ones(nm)-16*nm);

  file('close',unit);
  xset('clipoff');
  file('close',unit);
endfunction
